package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *商品的属性
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("goods_attr")
public class GoodAttr {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;//属性ID
    @TableField("name")
    private String name;//属性名称
    @TableField("search_type")
    private Integer searchType;//是否需要检索(0.不需要,1.需要)
    @TableField("icon")
    private String icon;//属性图标
    @TableField("value_select")
    private String valueSelect;//可选值链表(用逗号分隔)
    @TableField("type")
    private Integer type;//属性类型[0-销售属性，1-基本属性，2-既是销售属性又是基本属性]
    @TableField("enable")
    private Integer enable;//启用状态[0 - 禁用，1 - 启用]
    @TableField("show_desc")
    private Integer showDesc;//快速展示【是否展示在介绍上；0-否 1-是】，在sku中仍然可以调整
    @TableField("category_id")
    private Long categoryId;//所属分类
}
