package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 商品的spu
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("goods_spu")
public class GoodSpu {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;//物品ID
    @TableField("name")
    private String name;//物品名称
    @TableField("good_sales")
    private Integer goodSales;//物品销量
    @TableField("good_inventory")
    private Integer goodInventory;//物品库存
    @TableField("category_id")
    private Long  categoryId;//物品类型ID
    @TableField("publish_status")
    private Integer publishStatus;//上架状态(0.下架,1.上架)
    @TableField("keywords")
    private String keyWords;//关键字
    @TableField("good_brief")
    private String goodBrief;//物品简介
    @TableField("good_unit")
    private String goodUnit;//物品单位
    @TableField("good_freight")
    private Integer goodFreight;//运费模版
    @TableField("create_time")
    private Date createTime;//创建时间字段
    @TableField("update_time")
    private Date updateTime;//修改时间字段
    @TableField("is_delete")
    private Integer isDelete;//逻辑删除字段

}
