package com.bwie.common.remote.system;

import com.bwie.common.constant.ServerNameConstants;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.remote.system.factory.RemoteUserFactory;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

@FeignClient(
        name = "bwie-User",
        fallbackFactory = RemoteUserFactory.class
)
public interface RemoteUserService {

    @PostMapping("addpoint")
    public Result addpoint(@RequestParam Long userId, @RequestParam Integer point);

    @PostMapping("/login")
    public Result<User> login(@RequestBody LoginRequest loginRequest);


    @PostMapping("/register")
    public Result register(@RequestBody User user);


    @GetMapping("/findByPhone/{userPhone}")
    public Result<User> findByPhone(@PathVariable("userPhone") String userPhone);


    @PostMapping("/phoneLogin/{userPhone}")
    public Result<User> phoneLogin(@PathVariable("userPhone") String  userPhone);









}
