package com.bwie.alipay.utils.service;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.AlipayConfig;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.domain.AlipayTradeQueryModel;
import com.alipay.api.request.AlipayTradePagePayRequest;
import com.alipay.api.response.AlipayTradePagePayResponse;
import com.bwie.alipay.vo.OrderSnRequest;
import com.bwie.alipay.utils.PayServive;
import com.bwie.alipay.vo.Alipay;
import com.bwie.common.domain.BuyOrder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;

@Component("Alipay")
public class AlipayWay implements PayServive {
    @Autowired
    private Alipay alipay;
    public String alipay(BuyOrder buyOrder) throws AlipayApiException {
        AlipayConfig alipayConfig = new AlipayConfig();
        alipayConfig.setServerUrl(alipay.getServerUrl());
        alipayConfig.setAppId(alipay.getAppId());
        alipayConfig.setPrivateKey(alipay.getPrivateKey());
        alipayConfig.setFormat("json");
        alipayConfig.setAlipayPublicKey(alipay.getAlipayPublicKey());
        alipayConfig.setCharset(alipay.getCharset());
        alipayConfig.setSignType(alipay.getSignType());
        AlipayClient alipayClient = new DefaultAlipayClient(alipayConfig);
        AlipayTradePagePayRequest request = new AlipayTradePagePayRequest();
        JSONObject bizContent = new JSONObject();
        //商户订单号，商家自定义，保持唯一性
        bizContent.put("out_trade_no", buyOrder.getOrderNumber());
        //支付金额，最小值0.01元
        bizContent.put("total_amount",buyOrder.getOrderPrice());
        //订单标题，不可使用特殊符号
        bizContent.put("subject", buyOrder.getOrderName());
        //电脑网站支付场景固定传值FAST_INSTANT_TRADE_PAY
        bizContent.put("product_code", "FAST_INSTANT_TRADE_PAY");
        request.setBizContent(bizContent.toString());
        request.setNotifyUrl(" http://eeh7ds.natappfree.cc/notifyUrl");
        AlipayTradePagePayResponse response = alipayClient.pageExecute(request, "GET");
        String pageRedirectionData = response.getBody();
        System.out.println(pageRedirectionData);
        if (response.isSuccess()) {
            System.out.println("调用成功!!!!");
        } else {
            System.out.printf("调用失败!!!!");
        }
        return pageRedirectionData;
    }

    public OrderSnRequest findBuyOrderDh(String buyOrderDh) throws AlipayApiException {
        AlipayConfig alipayConfig = new AlipayConfig();
        alipayConfig.setServerUrl(alipay.getServerUrl());
        alipayConfig.setAppId(alipay.getAppId());
        alipayConfig.setPrivateKey(alipay.getPrivateKey());
        alipayConfig.setFormat("json");
        alipayConfig.setAlipayPublicKey(alipay.getAlipayPublicKey());
        alipayConfig.setCharset(alipay.getCharset());
        alipayConfig.setSignType(alipay.getSignType());
        AlipayClient alipayClient = new DefaultAlipayClient(alipayConfig);

        AlipayTradePagePayRequest request = new AlipayTradePagePayRequest();

        AlipayTradeQueryModel model = new AlipayTradeQueryModel();
        model.setOutTradeNo(buyOrderDh);

        ArrayList<String> arrayList = new ArrayList<>();
        arrayList.add("trade_settle_info");
        model.setQueryOptions(arrayList);
        request.setBizModel(model);
        AlipayTradePagePayResponse response = alipayClient.execute(request);
        OrderSnRequest orderSnRequest = JSON.parseObject(response.getBody().toString(), OrderSnRequest.class);
        if (response.isSuccess()) {
            System.out.println("调用成功!!!!");
        } else {
            System.out.printf("调用失败!!!!");
        }
        return orderSnRequest;
    }
}
