package com.bwie.alipay.vo;
import com.alipay.api.AlipayClient;
import com.alipay.api.AlipayConstants;
import com.alipay.api.DefaultAlipayClient;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;
import java.math.BigDecimal;
@Component
@ConfigurationProperties(prefix = "zhipay")
@Data
public class Alipay {
    private String privateKey;//私钥
    private String alipayPublicKey;//支付宝公钥
    private String appId;//商户ID
    private String notifyUrl;//
    private String returnUrl;//
    private String serverUrl;
    private String charset;
    private String signType;
    private BigDecimal ordersPrice;
    @Bean
    public AlipayClient alipayClient() {
        // 获得初始化的AlipayClient
        return new DefaultAlipayClient(serverUrl, appId, privateKey,
                AlipayConstants.FORMAT_JSON, AlipayConstants.CHARSET_UTF8,
                alipayPublicKey, AlipayConstants.SIGN_TYPE_RSA2);
    }
}
