package com.bwie.authen.util;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.bwie.authen.vo.AliveReq;
import com.bwie.authen.vo.AliveData;
import com.bwie.authen.vo.AliveMotions;
import com.bwie.authen.vo.AliveRes;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.Map;


@Configuration
public class AliveUtil {
    @Value("${alive.appcode}")
    private String appcode;//配置文件appcode
    @Value("${alive.host}")
    private String host;//配置文件

    public AliveRes alive(AliveReq aliveReq){
        Map stringStringMap = new HashMap<>();
        stringStringMap.put("url", aliveReq.getUrl());
        stringStringMap.put("motions", aliveReq.getMotions());
        String result = HttpUtil.createPost(host ) // 不在URL中拼接查询参数，因为我们将它们放在请求体中
                .header("Authorization", "APPCODE " + appcode)
                .form(stringStringMap)
                .execute()
                .body();
        System.out.println("result = " + result);
        AliveRes aliveRes = JSON.parseObject(result, AliveRes.class);
        AliveData aliveData = JSON.parseObject(aliveRes.getData(), AliveData.class);
        AliveMotions aliveMotions = JSON.parseObject(aliveData.getMotions(), AliveMotions.class);
        aliveData.setAliveMotions(aliveMotions);
        aliveRes.setAliveData(aliveData);
//        msgResponse.setIdData(idData);
        if(aliveRes.getCode()!=200){
            System.out.println("msgResponse = -------------------" + aliveRes.getMsg());
            throw new RuntimeException(aliveRes.getMsg());
        }
        return aliveRes;

    }
















}
