package com.bwie.authen.util;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
@Configuration
@Log4j2
public class ThreadPoolExecutorConfig {
    @Value("${authen.coreSize}")
    private Integer coreSize;
    @Value("${authen.coreMax}")
    private Integer coreMax;
    @Bean
    public ThreadPoolExecutor threadPoolExecutor(){
        ThreadPoolExecutor threadPoolExecutor = new ThreadPoolExecutor(coreSize, coreMax, 5, TimeUnit.SECONDS,
                new LinkedBlockingQueue<>(100));
        return threadPoolExecutor;
    }

}
