package com.bwie.authentication.util;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.bwie.authentication.vo.IdCheckReq;
import com.bwie.authentication.vo.IdCheckResponse;

import com.bwie.authentication.vo.IdData;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.Map;

@Configuration
public class IdCheckUtil {
    @Value("${idcheck.appcode}")
    private String appcode;//配置文件appcode
    @Value("${idcheck.host}")
    private String host;//配置文件
    @Value("${idcheck.path}")
    private String path;//


public IdCheckResponse idcheck(IdCheckReq idCheckReq){

    Map stringStringMap = new HashMap<>();
    stringStringMap.put("name", idCheckReq.getName());
    stringStringMap.put("idCardNo", idCheckReq.getIdCardNo());
    String result = HttpUtil.createPost(host + path) // 不在URL中拼接查询参数，因为我们将它们放在请求体中
            .header("Authorization", "APPCODE " + appcode)
            .form(stringStringMap)
            .execute()
            .body();
    System.out.println("result = " + result);
    IdCheckResponse msgResponse = JSON.parseObject(result, IdCheckResponse.class);
    IdData idData = JSON.parseObject(msgResponse.getData(), IdData.class);
    msgResponse.setIdData(idData);
    if(msgResponse.getCode()!=200){
        System.out.println("msgResponse = -------------------" + msgResponse);
        throw new RuntimeException(msgResponse.getMsg());
    }
    return msgResponse;




}

















}
