package com.bwie.kill.controller;

import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.kill.domain.KillConfig;
import com.bwie.kill.domain.request.VoKillConfigRequest;
import com.bwie.kill.service.KillConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/kill/config")
public class KillConfigController {

    @Autowired
    private KillConfigService killConfigService;

    @PostMapping("/list")
    private Result<PageResult<KillConfig>> getList(@RequestBody VoKillConfigRequest req){
        return Result.success(
                killConfigService.getList(req)
        );
    }

    @PostMapping("/update")
    private Result<String> getUpdate(@RequestBody KillConfig killConfig){
        killConfigService.updateById(killConfig);
        return Result.success();
    }

    @PostMapping("/save")
    private Result<String> getSave(@RequestBody KillConfig killConfig){
        killConfigService.save(killConfig);
        return Result.success();
    }

    @GetMapping("/delete")
    private Result<String> getDelete(@RequestParam Long id){
        killConfigService.removeById(id);
        return Result.success();
    }

}
