package com.bwie.kill.controller;

import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.kill.domain.KillGoods;
import com.bwie.kill.domain.request.VoKillGoodsRequest;
import com.bwie.kill.service.KillGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/kill/goods")
public class KillGoodsController {

    @Autowired
    private KillGoodsService killGoodsService;

    @PostMapping("/list")
    public Result<PageResult<KillGoods>> getKillGoodsList(@RequestBody VoKillGoodsRequest req){
        return Result.success(
                killGoodsService.getKillGoodsList(req)
        );
    }

    @PostMapping("/update")
    public Result<String> getUpdate(@RequestBody KillGoods killGoods){
        killGoodsService.updateById(killGoods);
        return Result.success();
    }

    @PostMapping("/add")
    public Result<String> getAdd(@RequestBody KillGoods killGoods){
        killGoodsService.save(killGoods);
        return Result.success();
    }

    @GetMapping("/del")
    public Result<String> getDel(@RequestParam Long id){
        killGoodsService.removeById(id);
        return Result.success();
    }

}
