package com.bwie.kill.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("kill_goods")
public class KillGoods {
    /**
     * 主键
     */
    private Long id;
    /**
     * 秒杀配置表id
     */
    private Long configId;
    /**
     * 秒杀配置标题
     */
    private String configTitle;
    /**
     * 秒杀时段
     */
    private String killDate;
    /**
     * 商品id
     */
    private Long goodsSpuId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品图片
     */
    private String goodsImage;
    /**
     * 活动标题
     */
    private String activityTitle;
    /**
     * 原价
     */
    private BigDecimal oldPrice;
    /**
     * 秒杀价
     */
    private BigDecimal killPrice;
    /**
     * 活动简介
     */
    private String activityIntroduce;
    /**
     * 单位
     */
    private String unit;
    /**
     * 0:包邮   1:不包邮
     */
    private Long freightStatus;
    /**
     * 当天参与活动次数
     */
    private Integer activityNum;
    /**
     * 活动日期
     */
    private Date activityDate;
    /**
     * 活动状态
     */
    private Integer activityStatus;
    private String createTime;
    private String updateTime;
    private String isDelete;
}
