package com.bwie.kill.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.redis.RedisCache;
import com.bwie.common.result.PageResult;
import com.bwie.kill.domain.KillConfig;
import com.bwie.kill.domain.request.VoKillConfigRequest;
import com.bwie.kill.mapper.KillConfigMapper;
import com.bwie.kill.service.KillConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class KillConfigServiceImpl extends ServiceImpl<KillConfigMapper, KillConfig>
        implements KillConfigService {

    @Autowired
    private RedisCache redisCache;

    @Override
    public PageResult<KillConfig> getList(VoKillConfigRequest req) {

        IPage<KillConfig> page = new Page<>(req.getPageNum(), req.getPageSize());

        IPage<KillConfig> iPage = page(page, new LambdaQueryWrapper<KillConfig>()
                .eq(KillConfig::getKillStatus, req.getKillStatus())
                .eq(KillConfig::getTitle, req.getTitle()));

        return PageResult.toPageResult(iPage.getPages(),iPage.getRecords());
    }


}
