package com.bwie.order.service.impl;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.IdUtil;
import com.bwie.common.domain.Order;
import com.bwie.common.utils.StringUtils;
import com.bwie.order.mapper.OrdMapper;
import com.bwie.order.service.OrdService;
import com.bwie.order.util.PayUtil;
import com.bwie.order.vo.AddOrd;
import com.bwie.order.vo.UpdOrder;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class OrdServiceImpl implements OrdService {
    private final OrdMapper ordMapper;
    private final PayUtil payUtil;

    public OrdServiceImpl(OrdMapper ordMapper, PayUtil payUtil) {
        this.ordMapper = ordMapper;
        this.payUtil = payUtil;
    }

    @Override
    public void addorder(AddOrd addOrd) {
        addOrd.setCreateTime(new Date());
        addOrd.setUdpTime(new Date());
        String substring = IdUtil.getSnowflake(1, 1).nextIdStr().substring(12);
        String s1 = DateUtil.format(new Date(), "yyyyMMddHHmmss") + substring + StringUtils.leftPad(String.valueOf(addOrd.getUserId()), 8, "0");
        addOrd.setOrdersNumber(s1);
//        try {
//            payUtil.pay(order.getOrdersPrice(),s);
//        } catch (AlipayApiException e) {
//            throw new RuntimeException(e);
//        }
//        order.setOrdersNumber(s);
        ordMapper.add(addOrd);

    }

    @Override
    public Order show(String ordersNumber) {
//        String substring = ordersNumber.substring(21);
        Order show = ordMapper.show(ordersNumber);
        return show;
    }

    @Override
    public void updStatus(UpdOrder updOrder) {
//        String substring = updOrder.getOrdersNumber().substring(21);
//        updOrder.setUserId(Long.valueOf(substring));
        ordMapper.updStatus(updOrder);
    }


}
