package com.bwie.order.service.impl;

import com.alipay.api.AlipayApiException;
import com.bwie.common.result.Result;
import com.bwie.order.mapper.TradeMapper;
import com.bwie.order.service.TextService;
import com.bwie.order.service.TradeService;
import com.bwie.order.util.FindSyncTrade;
import com.bwie.order.util.PayUtil;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

@Service("Alipay")
public class PayServiceImpl implements TextService {
    private final PayUtil payUtil;
    private final FindSyncTrade findSyncTrade;

    private final TradeMapper tradeMapper;


   private final TradeService tradeService;



    /**
     * 订单页面+提交订单+回显订单页面+点击支付+支付页面
     *
     * @param payUtil
     * @param findSyncTrade
     * @param tradeMapper
     * @param tradeService
     */

    public PayServiceImpl(PayUtil payUtil,  FindSyncTrade findSyncTrade, TradeMapper tradeMapper, TradeService tradeService) {
        this.payUtil = payUtil;

       this.findSyncTrade = findSyncTrade;
        this.tradeMapper = tradeMapper;

        this.tradeService = tradeService;
    }

    @Override
    public Result pay(BigDecimal ordersMoney, String tradeNum) throws AlipayApiException {

        String pay="";
        try {
             pay = payUtil.pay(ordersMoney, tradeNum);
        } catch (AlipayApiException e) {
            throw new RuntimeException(e);
        }
        return pay.equals("调用失败")?Result.error("调用失败"):Result.success(pay);
//            return Result.success(pageRedirectionData);
    }
//    @GlobalTransactional(name = "pay",rollbackFor = Exception.class)




}


