package com.bwie.order.shareding;

import com.alibaba.fastjson.JSON;
import lombok.extern.log4j.Log4j2;
import org.apache.shardingsphere.api.sharding.complex.ComplexKeysShardingAlgorithm;
import org.apache.shardingsphere.api.sharding.complex.ComplexKeysShardingValue;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

@Log4j2
public class SharedingWay implements ComplexKeysShardingAlgorithm {


    @Override
    public Collection<String> doSharding(Collection collection, ComplexKeysShardingValue complexKeysShardingValue) {
        log.info(JSON.toJSONString(collection));
        log.info(JSON.toJSONString(complexKeysShardingValue));
        List<String> nums = (List<String>) complexKeysShardingValue.getColumnNameAndShardingValuesMap().get("orders_number");
        List<Long> o = (List<Long>) complexKeysShardingValue.getColumnNameAndShardingValuesMap().get("user_id");
        ArrayList<String> objects = new ArrayList();
        if(!CollectionUtils.isEmpty(o)){
            Long l = o.get(0);
            log.info(l+"->>>>>>>>>>>>>>");
            long l1 = l % collection.size();
            objects.add("order_"+l1);
            log.info(l1);
            return objects;
        }
        if(!CollectionUtils.isEmpty(nums)){
            String s = nums.get(0);
            log.info(s+"->>>>>>>>>>>>>>>>>");
            long l = Long.parseLong(s.substring(21));
            log.info(l+"->>>>>>>>>>>>>>");
            long l1 = l % collection.size();
            objects.add("order_"+l1);
            log.info(l1);
            return objects;
        }

        return objects;



    }
}
